Works on 6.0 Rated 5 out of 5 stars

Except merge windows everything else works nice on 6.0 if you force no compatibility check. Just add this value to about.config
extensions.checkCompatibility.6.0 and set to false

This review is for a previous version of the add-on (1.2).